var linkanzahl%=0
Proc CreateSysLink
    Parameters hdl&,text$,url$,x1%,y1%,x2%,y2%
    linkanzahl%=linkanzahl%+1
    Return Control("SysLink","<a href=\q"+url$+"\q>"+text$+"</a>",$50000000,x1%,y1%,x2%,y2%,hdl&,linkanzahl%,%hInstance,0)
EndProc
Proc GetURLSysLink
    Parameters hdl&
    Return SubStr$(Gettext$(hdl&),2,"\q")
EndProc
Proc GetTextSysLink
    Parameters hdl&
    Return Left$(SubStr$(Gettext$(hdl&),2,"\q>"),Len(SubStr$(Gettext$(hdl&),2,"\q>"))-5)
EndProc
Proc OpenLink
    Parameters hdl&
    ShellExec(GetURLSysLink(hdl&),"",0)
EndProc
Proc SendMail
    Parameters hdl&,betreff$
    Return ShellExec("mailto: "+GetURLSysLink(hdl&)+"?subject="+betreff$,"open",1)
EndProc
